#include "heizelement.h"

heizelement::heizelement() : zieltemperatur(100.0), temperatur(20.0) // Beispiel: Starttemperatur 20°C
{
}

void heizelement::erhitzen()
{
    // Logik zum Erhitzen des Wassers
    while (temperatur < zieltemperatur) {
        // Simuliere Erhitzen: erhöhe die Temperatur
        temperatur += 10.0; // Erhöhung um 10°C pro Aufruf, anpassen nach Bedarf
    }
}

void heizelement::regeln()
{
    // Regelt die Heizung, um die Zieltemperatur zu halten
    if (temperatur < zieltemperatur) {
        erhitzen();
    } else if (temperatur > zieltemperatur) {
        // Hier könnten wir Logik zum Abkühlen hinzufügen, falls nötig
    }
}

void heizelement::setzeZieltemperatur(double temperatur)
{
    zieltemperatur = temperatur;
}

double heizelement::aktuelleTemperatur() const
{
    return temperatur;
}

double heizelement::getZieltemperatur() const
{
    return zieltemperatur;
}
