#ifndef TST_UNITTEST_ELEKTROMOTOR_H
#define TST_UNITTEST_ELEKTROMOTOR_H

#include <QtTest>
#include "../../hii/elektromotor.h"


class TestElektromotor : public QObject
{
    Q_OBJECT

private slots:
    void initTestCase();    // Wird vor allen Tests einmal ausgeführt
    void cleanupTestCase(); // Wird nach allen Tests einmal ausgeführt
    void init();            // Wird vor jedem Test ausgeführt
    void cleanup();         // Wird nach jedem Test ausgeführt

    // Testfälle
    void testAntreiben();
    void testStop();
    void testBewegeZurPosition();
    void testGetPosition();
    void testSetGetGeschwindigkeit();
};



#endif // TST_UNITTEST_ELEKTROMOTOR_H
