#ifndef TST_UNITTEST_SENSOREN_H
#define TST_UNITTEST_SENSOREN_H

#include "../../hii/sensoren.h"

#include <QtTest>


class SensorenTest : public QObject {
    Q_OBJECT

private slots:
    void initTestCase();     // Wird einmal zu Beginn ausgeführt
    void cleanupTestCase();  // Wird einmal am Ende ausgeführt
    void init();             // Wird vor jedem Test ausgeführt
    void cleanup();          // Wird nach jedem Test ausgeführt

    void testInitialState();
    void testMessen();
};

#endif // TST_UNITTEST_SENSOREN_H
