#ifndef TST_PAYMENTPROCESSOR_H
#define TST_PAYMENTPROCESSOR_H

#include <QObject>
#include <QtTest>
#include "../../hii/paymentprocessor.h"
#include "../../hii/zubereitung.h"

class PaymentProcessorTest : public QObject
{
    Q_OBJECT

private slots:
    void initTestCase();
    void cleanupTestCase();
    void init();
    void cleanup();

    void testGetTotalAmount();
    void testSetTotalAmount();
    void testProcessCardPayment();
    void testProcessCashPayment();
    void testReset();
    void testClearCashBalance();

private:
    PaymentProcessor *processor;
};

#endif // TST_PAYMENTPROCESSOR_H
