/*#include <QtTest>
#include "heizelement.h"

class HeizelementTest : public QObject
{
    Q_OBJECT

private slots:
    void testHeizelement();
};

void HeizelementTest::testHeizelement()
{
    // Testen des Konstruktors und der Standardtemperatur
    heizelement heizung;
    QVERIFY(heizung.aktuelleTemperatur() == 20.0); // Standardtemperatur sollte 20°C sein

    // Testen des Setzens der Zieltemperatur
    heizung.setzeZieltemperatur(100.0);
    QVERIFY(heizung.aktuelleTemperatur() == 20.0); // Aktuelle Temperatur sollte immer noch 20°C sein, da keine Regelung aufgerufen wurde

    // Testen des Erhitzens und der Regelung
    heizung.regeln(); // 1. Regelung
    QVERIFY(heizung.aktuelleTemperatur() == 21.0); // Temperatur sollte um 1°C erhöht sein
    heizung.regeln(); // 2. Regelung
    QVERIFY(heizung.aktuelleTemperatur() == 22.0);
    // Weitere Tests können hinzugefügt werden, um sicherzustellen, dass die Temperatur korrekt erhöht wird
}

QTEST_APPLESS_MAIN(HeizelementTest)

//#include "heizelement_test.moc"
*/
