QT       += core gui testlib

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17
DESTDIR = dist
OBJECTS_DIR = build
UI_DIR = gen/ui
MOC_DIR = gen/moc
RCC_DIR = gen/rcc
CONFIG += debug

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0


SOURCES += \
    aktoren.cpp \
    ausgabefach.cpp \
    bezahlen.cpp \
    dialog1.cpp \
    display.cpp \
    elektro.cpp \
    elektromagnetischer_sensor.cpp \
    elektromotor.cpp \
    fahrstuhl.cpp \
    filter.cpp \
    foerderband.cpp \
    geldscheintyp.cpp \
    gewichtssensor.cpp \
    heizelement.cpp \
    heizelement_test.cpp \
    kartefuerstandbymodus.cpp \
    kartenlesegeraet.cpp \
    kasse.cpp \
    lichtsensor.cpp \
    main.cpp \
    mainwindow.cpp \
    mitarbeiter.cpp \
    motor.cpp \
    motorcontroller.cpp \
    muenzentyp.cpp \
    paymentprocessor.cpp \
    preis.cpp \
    preisberechnung.cpp \
    produkt.cpp \
    ramenabteilung.cpp \
    ramenart.cpp \
    rohre.cpp \
    scherenhebebuehne.cpp \
    schieber.cpp \
    sensoren.cpp \
    simu.cpp \
    sossenabteilung.cpp \
    sossenart.cpp \
    steuerung.cpp \
    tank.cpp \
    temperatursensor.cpp \
    test.cpp \
    testmainwindow.cpp \
    wartung.cpp \
    wassererhitzungssystem.cpp \
    zubereitung.cpp

HEADERS += \
    aktoren.h \
    ausgabefach.h \
    bezahlen.h \
    dialog1.h \
    display.h \
    elektro.h \
    elektromagnetischer_sensor.h \
    elektromotor.h \
    fahrstuhl.h \
    filter.h \
    foerderband.h \
    geldscheintyp.h \
    gewichtssensor.h \
    heizelement.h \
    kartefuerstandbymodus.h \
    kartenlesegeraet.h \
    kasse.h \
    lichtsensor.h \
    mainwindow.h \
    mitarbeiter.h \
    motor.h \
    motorcontroller.h \
    muenzentyp.h \
    paymentprocessor.h \
    preis.h \
    preisberechnung.h \
    produkt.h \
    ramenabteilung.h \
    ramenart.h \
    rohre.h \
    scherenhebebuehne.h \
    schieber.h \
    sensoren.h \
    simu.h \
    sossenabteilung.h \
    sossenart.h \
    steuerung.h \
    tank.h \
    temperatursensor.h \
    test.h \
    testmainwindow.h \
    wartung.h \
    wassererhitzungssystem.h \
    zubereitung.h

FORMS += \
    dialog1.ui \
    mainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    Ramenautomat.qrc \
    ressource.qrc

DISTFILES += \
    default.cfg \
    ../../../../../Pictures/Screenshots/Screenshot 2024-05-12 214014.png \


SOURCES +=

HEADERS +=

SUBDIRS += \


