#include "tst_unittest_temperatursensor.h"
#include <QtTest>

void TemperatursensorTest::initTestCase() {
    // Wird einmal vor allen Tests ausgeführt
}

void TemperatursensorTest::cleanupTestCase() {
    // Wird einmal nach allen Tests ausgeführt
}

void TemperatursensorTest::init() {
    // Wird vor jedem Test ausgeführt
}

void TemperatursensorTest::cleanup() {
    // Wird nach jedem Test ausgeführt
}

void TemperatursensorTest::testInitialState() {
    Temperatursensor sensor(90);
    QCOMPARE(sensor.zeigeTemperatur(), 90);
}

void TemperatursensorTest::testSetzeTemperatur() {
    Temperatursensor sensor(85);
    sensor.setzeTemperatur(90);
    QCOMPARE(sensor.zeigeTemperatur(), 90);
}

void TemperatursensorTest::testZeigeTemperatur() {
    Temperatursensor sensor(85);
    QCOMPARE(sensor.zeigeTemperatur(), 85);
    sensor.setzeTemperatur(90);
    QCOMPARE(sensor.zeigeTemperatur(), 90);
}

QTEST_MAIN(TemperatursensorTest)

