#include <QtTest>
#include "tst_unittest_lichtsensor.h"

Lichtsensor sensor;
void LichtsensorTest::initTestCase() {
    // Wird einmal vor allen Tests ausgeführt
}

void LichtsensorTest::cleanupTestCase() {
    // Wird einmal nach allen Tests ausgeführt
}

void LichtsensorTest::init() {
    // Wird vor jedem Test ausgeführt
    sensor.setzeAktivierung(false);
}

void LichtsensorTest::cleanup() {
    // Wird nach jedem Test ausgeführt
}

void LichtsensorTest::testInitialState() {
    QCOMPARE(sensor.istAktiviert(), false);
}

void LichtsensorTest::testAktivierung() {
    sensor.setzeAktivierung(false);
    QCOMPARE(sensor.istAktiviert(), false);
    sensor.setzeAktivierung(true);
    QCOMPARE(sensor.istAktiviert(), true);
}

void LichtsensorTest::testErkenneIntensitaet() {
    // Hier sollten Sie die Methode erkenneIntensitaet() so anpassen, dass sie testbare Werte zurückgibt
    QCOMPARE(sensor.erkenneIntensitaet(), 0);
}

void LichtsensorTest::testErkenneGroesseDerMuenze() {
    // Hier sollten Sie die Methode erkenneIntensitaet() so anpassen, dass sie testbare Werte zurückgibt
    QCOMPARE(sensor.erkenneGroesseDerMuenze(), 1); // Wenn erkenneIntensitaet() 0 zurückgibt
}

void LichtsensorTest::testErkenneScheintyp() {
    // Hier sollten Sie die Methode erkenneIntensitaet() so anpassen, dass sie testbare Werte zurückgibt
    QCOMPARE(sensor.erkenneScheintyp(), 1); // Wenn erkenneIntensitaet() 0 zurückgibt
}

void LichtsensorTest::testIstLichtErkannt() {
    QCOMPARE(sensor.istLichtErkannt(), false);
    //sensor.setzeAktivierung(true);
    //QCOMPARE(sensor.istLichtErkannt(), true);
}

QTEST_MAIN(LichtsensorTest)

