#ifndef TST_UNITTEST_MOTORCONTROLLER_H
#define TST_UNITTEST_MOTORCONTROLLER_H

#include <QtTest>
#include "../../hii/motorcontroller.h"
#include "../../hii/elektromotor.h"



class TestMotorController : public QObject
{
    Q_OBJECT

private slots:
    void initTestCase();    // Wird vor allen Tests einmal ausgeführt
    void cleanupTestCase(); // Wird nach allen Tests einmal ausgeführt
    void init();            // Wird vor jedem Test ausgeführt
    void cleanup();         // Wird nach jedem Test ausgeführt

    // Testfälle
    void testStarteMotorMitGeschwindigkeit();
    void testStoppeMotor();
    void testFahreZuPosition();
    void testStatusAnzeige();


private:
    Elektromotor *motor;
    MotorController *controller;
};


#endif // TST_UNITTEST_MOTORCONTROLLER_H
